[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBarEnumerator.MoveNext

Moves to the internal position to the next button instance for the enumerator.

## Declaration

Source position: comctrls.pp line 2247

`public function TToolBarEnumerator.MoveNext: Boolean;`

## Function result

Returns True if the internal position for the next button is valid for the button count on the tool bar. Returns False if there are no more tool buttons available to the enumerator.

## See also

TToolBar.ButtonCount |  | Number of Buttons defined for the tool bar control.